# C library

## Introduction

This is the documentation that describes the Application Programmers Interface (API) for the HARP C Library. It contains a full description for each of the functions in the API and a general description for each of the modules mentioned below.

## Modules

Each module has a separate section that contains its general description together with descriptions for all types, variables, functions, etc. that are part of this module.

The main modules are those for HARP Products and Variables, as these cover the main datastructures for the content of products. Most operations in HARP work in these Products and Variables.

- Collocation
- Dataset
- Documentation
- Error
- General
- Geometry
- Product
- Product Metadata
- Variable